package com.yvan;

import com.baomidou.mybatisplus.plugins.pagination.Pagination;
import com.yvan.platform.YvanUtil;
import com.yvan.springmvc.PageModelSerializer;

public class PageDb extends Pagination {

    private boolean enable;

    static {
        YvanUtil.objectMapper.registerModule(PageModelSerializer.MODEL);
        YvanUtil.objectYamlMapper.registerModule(PageModelSerializer.MODEL);
    }

    public PageDb(boolean enable) {
        this.enable = enable;
    }

    /**
     * 分页构造函数
     *
     * @param page 当前页编号(从1开始)
     * @param size 页大小
     */
    public PageDb(int page, int size) {
        this(page, size, true);
    }

    /**
     * 分页构造函数
     *
     * @param page        当前页编号(从1开始)
     * @param size        页大小
     * @param searchCount 是否查询记录总数
     */
    public PageDb(int page, int size, boolean searchCount) {
        super(page, size, searchCount, false);
    }
}
